Check-in [e71a022c66]
Overview
Comment:Cleaned up cleaning up routine
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:e71a022c66fdb708dc6acfa13c52e4a24476f296
User & Date: rkeene on 2010-09-26 04:41:56
Other Links: manifest | tags
Context
2010-09-26
04:42
Added internal script to build minimal Tclkit for ARM check-in: 36ac498d1e user: rkeene tags: trunk
04:41
Cleaned up cleaning up routine check-in: e71a022c66 user: rkeene tags: trunk
04:41
Updated to include all encodings by default, but support including only the 8 from original Tclkit check-in: bf4e895d30 user: rkeene tags: trunk
Changes

Modified kitcreator from [881c2f8086] to [335e335ef4].

    30     30   	if [ "${mode}" = "distclean" ]; then
    31     31   		rm -rf "${pkg}/src"
    32     32   	fi
    33     33   done
    34     34   
    35     35   # We're all done if we're in clean or distclean mode
    36     36   if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then
           37  +	rm -f tclkit-*
           38  +
    37     39   	exit 0
    38     40   fi
    39     41   
    40     42   # Add packages implied by the additional arguments
    41     43   if [ -z "${KITCREATOR_PKGS}" ]; then
    42     44   	KITCREATOR_PKGS="tk itcl mk4tcl"
    43     45   fi
................................................................................
    48     50   if echo " ${CONFIGUREEXTRA} " | grep ' --enable-threads' >/dev/null 2>/dev/null; then
    49     51   	KITCREATOR_PKGS="${KITCREATOR_PKGS} thread"
    50     52   fi
    51     53   
    52     54   failedpkgs=""
    53     55   buildfailed="0"
    54     56   for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} kitsh; do
    55         -	if [ "${mode}" = "distclean" ]; then
    56         -		rm -rf "${pkg}/src"
    57         -	fi
    58         -
    59     57   	echo -n "Building ${pkg} ..."
    60     58   
    61     59   	failed="0"
    62     60   	(
    63     61   		cd "${pkg}" >/dev/null 2>/dev/null || exit 1
    64     62   
    65     63   		./build.sh > build.log 2>&1 || exit 1
................................................................................
    80     78   	esac
    81     79   
    82     80   	if [ "${failed}" = "1" ]; then
    83     81   		buildfailed="1"
    84     82   	fi
    85     83   done
    86     84   
    87         -if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then
    88         -	rm -f tclkit-*
    89         -
    90         -	exit 0
    91         -fi
    92         -
    93     85   if [ -n "${failedpkgs}" ]; then
    94     86   	echo "Failed to build:${failedpkgs}"
    95     87   fi
    96     88   
    97     89   if [ "${buildfailed}" != "0" ]; then
    98     90   	echo 'WARNING: Build is likely incomplete or failed.' >&2
    99     91   fi
   100     92   
   101     93   cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}"
   102     94   
   103     95   exit "${buildfailed}"